Subject: Re: [mobile-ip] questions on fast handoffs for MIPv6

From: Alper Yegin <[email-masked]>
Date: Wed, 6 Jun 2001 12:10:08 -0700 (PDT)

Hi Madjid,

> Q1-Neighbor advertisement and L2 connectivity
> It says in the draft (page 5) that the newAR will deliver packets to the 
mobile
> when it receive indication from access network or NA from Mobile.
> In page 1 it says MN sends NA or F-NA to newAR as soon as it receives L2 
connectivity
> trigger. Could there be a race condition where newAR can start delivering 
packets
>  (based on L2 indication) before receiving an NA from MN? if not why is the 
text 
> written that way?

I don't see a problem even when newAR detects arrival of MN, and at the same 
time MN sends a F-NA to newAR. Do you see a problem?

> 
> Q2-It seems that the oldAR forwards MN's data to newAR as soon as oldAR 
> receives a BU from MN or an F-BU + HACk.
>  The newAR delivers the packets to the MN as soon as it receives an NA or
>  F-NA from the MN (apart from Q1 above). 
> This means that during this time the MN's packets must be buffered at 
> newAR (whether it helps real time traffic or not, is another issue).
> There was also a discussion about buffering at oldAR or at newAR, but
> I think what I missed on the discussion was that
> " is buffering at newAR supported or is it left to implementers,
>   (Should/ MUST/ May question?)"

We have a 'U' Buffer Flag in HA message. And I think this makes it an optional 
feature. oldAR MAY turn this flag on. Do you think we should spell this out in 
the draft?

> 
> 
> 3- This question was asked on the list, I am not sure if I saw a convincing
> answer other than comparing F-BU with BU.
> The MN cannot use its newCoA as source address until it has received
> F-Back from oldAR. Then how does it use newCoA as source address in F-BU?
> Isn't this a chicken and egg problem? What am I missing?
> Also what about ingress filtering issue at oldAR?
> 

MN doesn't have to use newCoA as the source address of F-BU. It can use oldCoA 
as the source address, and include a alternate CoA suboption. (I'm not sure if 
this is already stated in the draft. If not, we should add this.)

alper

---

From: Vijay Devarapalli <[email-masked]>
Date: Wed, 06 Jun 2001 13:06:12 -0700

hi Alper,

> feature. oldAR MAY turn this flag on. Do you think we should spell this out in

it is slightly different. by setting the 'U' flag, the oldAR basically
tells the newAR, that i have been buffering packets for this particular
MN. you should also do it.

and in the scenario, Madjid was talking about, the newAR is receiving
packets forwarded by the oldAR to the MN. but the MN hasnt shown up
yet. here it MUST buffer packets, whether the 'U' flag in the HI was 
set or not. if it doesnt buffer, it has to drop the packets till the 
MN shows up.

vijay